List rebalance events for a position
Paginated log of executed and failed rebalance attempts for a given position.
x-api-key<token>
In: header
Path Parameters
positionId*string
Position UUID
Query Parameters
limit?integer
Range
0 < value <= 2000Default
20cursor?string
Header Parameters
X-Trade-Account-Id*string
UUID of the trade account the request acts on. Must belong to the authenticated user.
Format
uuidResponse Body
application/json
curl -X GET "https://example.com/rebalance/string/events" \ -H "X-Trade-Account-Id: 3fa85f64-5717-4562-b3fc-2c963f66afa6"{ "limit": 0, "nextCursor": "string", "items": [ { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "autoRebalanceConfigId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "positionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "weightSource": "INITIAL_WEIGHT", "driftPct": "1250.75", "currentWeights": { "property1": 0, "property2": 0 }, "targetWeights": { "property1": 0, "property2": 0 }, "status": "SUCCESS", "error": "string", "createdAt": "2026-01-15T09:30:00.000Z" } ]}